## org.apache.tomcat.jni
Interface ProcErrorCallback

    public interface ProcErrorCallback

ProcErrorCallback Interface

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Mladen Turk

Method Summary
`void` `callback(long pool, int err, java.lang.String description)` Called in the child process if APR encounters an error in the child prior to running the specified program.

Method Detail

### callback

    void callback(long pool,
                  int err,
                  java.lang.String description)

  Called in the child process if APR encounters an error in the child prior to running the specified program.

  Parameters:
    `pool` - Pool associated with the apr_proc_t. If your child error function needs user data, associate it with this pool.
    `err` - APR error code describing the error
    `description` - Text description of type of processing which failed

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.